require "spec_helper"

describe "Log" do
  it "should store request and response" do
    log = PolylinkApi::Models::Log.new
    log.method = "test_method"
    log.params = {}
    log.response = {}
    log.save

    expect(log.method).to eq("test_method")
    expect(log.params).to eq({})
    expect(log.response).to eq({})
    expect(log.logged_at).not_to be_nil
  end
end