require "codeclimate-test-reporter"
CodeClimate::TestReporter.start

require 'bundler/setup'
require 'polylink_api'
require 'mongoid'

Bundler.setup
Mongoid.load!('./spec/config/mongoid.yml', :test)

PolylinkApi.setup do |config|
  #config.wsdl          = "http://61.152.148.59/pms/services/cmsservice?wsdl"
  config.wsdl          = "./spec/config/wsdl.xml"
  config.download_server = "http://61.152.148.59/download/"
  config.cdrs_path       = "tmp/cdrs"
end

RSpec.configure do |config|
  config.before(:each) do
    Mongoid.purge!
  end
end